<%@ page contentType="text/html; charset=GBK"%>
<%@ page import = "zr.zrpower.entity.sys.SessionUser" %>
<%@ page import = "zr.zrpower.flowengine.service.FlowControl"%>
<%@ page import = "zr.zrpower.flowengine.runtime.ActFlowRun"%>
<%
SessionUser user = (SessionUser)session.getAttribute("userinfo");
FlowControl FControl = new FlowControl();
String strCID = request.getParameter("CID");
if (strCID==null){strCID="";}

String strExecute_No = request.getParameter("Execute_No");
if (strExecute_No==null){strExecute_No="";}
String strIdentification = request.getParameter("Identification");
if (strIdentification==null){strIdentification="";}
String strOtherID = request.getParameter("OtherID");
if (strOtherID==null){strOtherID="";}
String strParentID = request.getParameter("ParentID");
if (strParentID==null){strParentID="";}
String strParentID1 = request.getParameter("ParentID1");
if (strParentID1==null){strParentID1="";}
String strRID = request.getParameter("RID");
if (strRID==null){strRID="";}
String strRECORDID = request.getParameter("RECORDID");
if (strRECORDID==null){strRECORDID="";}
String strISBRANCH = request.getParameter("ISBRANCH");
if (strISBRANCH==null){strISBRANCH="";}


ActFlowRun ActFlowRun = null;
ActFlowRun = new ActFlowRun();
ActFlowRun.FlowInitDefault(strExecute_No,strIdentification,strOtherID,strParentID,strParentID1,strRID,strRECORDID,strISBRANCH);


//根据当前活动的编号得到下一步的分支活动
String strM_Node_No_E = FControl.GetNextActivityID(strCID,ActFlowRun,user);
//根据当前活动及下一步的分支活动串得到包含接收类型的活动串
String strM_Node_No_S_E = FControl.GetNextActivityTypeList(strCID,strM_Node_No_E);
//根据当前活动的编号得到上一步的分支活动
String strS_Node_No_E = FControl.GetUpSelectActivityID(strCID,ActFlowRun,user);
//根据当前活动及上一步的分支活动串得到包含接收类型的活动串
String strS_Node_No_S_E = FControl.GetNextActivityTypeList(strCID,strS_Node_No_E);

%>
<HTML>
<HEAD>
<TITLE></TITLE>
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META http-equiv="Content-Type" content="text/html; charset=GBK">

<LINK type="text/css" rel="stylesheet" href="../../zrsysmanage/css/<%=user.getUserCSS()%>">
<SCRIPT LANGUAGE="JavaScript" src="../../zrsysmanage/script/Public.js"></SCRIPT>
<SCRIPT LANGUAGE="javascript">
function reclose(){
    var s1 = document.recordfrm.s1.value;
    var s2 = document.recordfrm.s2.value;
    var s3 = document.recordfrm.s3.value;
    var s4 = document.recordfrm.s4.value;
    window.returnValue =s1+"^"+s2+"^"+s3+"^"+s4;
    window.close();
}
setTimeout("reclose()",600);
</script>
</HEAD>
<BODY class="BodyMain">
<FORM method="post" name="recordfrm" action="">

<input Type="hidden" name="s1" value="<%=strM_Node_No_E%>">
<input Type="hidden" name="s2" value="<%=strM_Node_No_S_E%>">
<input Type="hidden" name="s3" value="<%=strS_Node_No_E%>">
<input Type="hidden" name="s4" value="<%=strS_Node_No_S_E%>">

<TABLE border="0" width="100%" height="100%" cellspacing="0" cellpadding="0"><tr><td align="center" valign="middle">
<center>
<Font class="WriteSign">提示：正在读取数据...</font>
<center>
</td></tr></table>
</FORM>
</BODY>
</HTML>
<%
//清空相关对象
user = null;
FControl = null;
%>
